Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.schema
Class SchemaTypeSystemCompiler.Parameters

    java.lang.Object
      org.apache.xmlbeans.impl.schema.SchemaTypeSystemCompiler.Parameters

Enclosing class:
  SchemaTypeSystemCompiler

    public static class SchemaTypeSystemCompiler.Parameters

extends java.lang.Object

Constructor Summary
`SchemaTypeSystemCompiler.Parameters()`

Method Summary
`java.net.URI` | `getBaseURI()`
`BindingConfig` | `getConfig()`
`java.util.Collection` | `getErrorListener()`
`SchemaTypeSystem` | `getExistingTypeSystem()`
`SchemaTypeLoader` | `getLinkTo()`
`java.lang.String` | `getName()`
`XmlOptions` | `getOptions()`
`org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[]` | `getSchemas()`
`java.io.File` | `getSchemasDir()`
`java.util.Map` | `getSourcesToCopyMap()`
`boolean` | `isJavaize()`
`void` | `setBaseURI(java.net.URI baseURI)`
`void` | `setConfig(BindingConfig config)`
`void` | `setErrorListener(java.util.Collection errorListener)`
`void` | `setExistingTypeSystem(SchemaTypeSystem system)`
`void` | `setJavaize(boolean javaize)`
`void` | `setLinkTo(SchemaTypeLoader linkTo)`
`void` | `setName(java.lang.String name)`
`void` | `setOptions(XmlOptions options)`
`void` | `setSchemas(org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] schemas)`
`void` | `setSchemasDir(java.io.File schemasDir)`
`void` | `setSourcesToCopyMap(java.util.Map sourcesToCopyMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaTypeSystemCompiler.Parameters

    public SchemaTypeSystemCompiler.Parameters()

Method Detail

### getExistingTypeSystem

    public SchemaTypeSystem getExistingTypeSystem()

### setExistingTypeSystem

    public void setExistingTypeSystem(SchemaTypeSystem system)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSchemas

    public org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] getSchemas()

### setSchemas

    public void setSchemas(org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema[] schemas)

### getConfig

    public BindingConfig getConfig()

### setConfig

    public void setConfig(BindingConfig config)

### getLinkTo

    public SchemaTypeLoader getLinkTo()

### setLinkTo

    public void setLinkTo(SchemaTypeLoader linkTo)

### getOptions

    public XmlOptions getOptions()

### setOptions

    public void setOptions(XmlOptions options)

### getErrorListener

    public java.util.Collection getErrorListener()

### setErrorListener

    public void setErrorListener(java.util.Collection errorListener)

### isJavaize

    public boolean isJavaize()

### setJavaize

    public void setJavaize(boolean javaize)

### getBaseURI

    public java.net.URI getBaseURI()

### setBaseURI

    public void setBaseURI(java.net.URI baseURI)

### getSourcesToCopyMap

    public java.util.Map getSourcesToCopyMap()

### setSourcesToCopyMap

    public void setSourcesToCopyMap(java.util.Map sourcesToCopyMap)

### getSchemasDir

    public java.io.File getSchemasDir()

### setSchemasDir

    public void setSchemasDir(java.io.File schemasDir)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD